View Issue Details

IDProjectCategoryView StatusLast Update
0003871FreeCADBugpublic2020-04-14 10:48
Reporterjmborer Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformAppleOSMac OSOS Version10.14.3
Fixed in Version0.19 
Summary0003871: Cannot close start page by clicking on the close icon
DescriptionCannot close the "start page" by clicking on the close icon of the tab. Only right-click on the latter and choose "close" allows to close the start page. The keyboard shortcut or the "Close" action from the menu won't work either.

OS: macOS 10.14
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.18.15525 (Git)
Build type: Release
Branch: master
Hash: 1a7d3d9a37fe43468c8ac84590c1db53e2b2000a
Python version: 3.6.7
Qt version: 5.6.2
Coin version: 4.0.0a
OCC version: 7.3.0
Locale: English/UnitedStates (en_US)
TagsNo tags attached.
FreeCAD Information

Activities

openBrain

2020-04-13 14:23

developer   ~0014343

@chrisb : as it seems it was MacOS specific, could you confirm if this bug is still present in 0.19 ? Thx

@jmborer : could you also have a look ?

jmborer

2020-04-14 09:55

reporter   ~0014347

Hi there. Sorry for the long delay.

@openBrain: where is a version I could test?

openBrain

2020-04-14 10:24

developer   ~0014348

@jmborer : on this page in "assets" you can find a 0.19 version to test. ;)

jmborer

2020-04-14 10:38

reporter   ~0014349

Nice. Issue is fixed. I tried on a retina iMac and tested several scales. Close button properly respects the resolution.

openBrain

2020-04-14 10:48

developer   ~0014350

@jmborer : thanks for follow-up. I'm closing.

Issue History

Date Modified Username Field Change
2019-02-28 17:55 jmborer New Issue
2020-04-13 14:23 openBrain Note Added: 0014343
2020-04-14 09:55 jmborer Note Added: 0014347
2020-04-14 10:24 openBrain Note Added: 0014348
2020-04-14 10:38 jmborer Note Added: 0014349
2020-04-14 10:48 openBrain Status new => closed
2020-04-14 10:48 openBrain Resolution open => fixed
2020-04-14 10:48 openBrain Fixed in Version => 0.19
2020-04-14 10:48 openBrain Note Added: 0014350